note
	description: "Common ancestor of different versions of DATABASE classes."
	author: "Jackie Wang"
	date: "$Date$"
	revision: "$Revision$"

deferred class
	DATABASE

feature -- Storage

	data: ARRAY[STRING]

feature -- Commands and Queries

	add_name (n: STRING)
			-- Add `n` to database.
		deferred
		end

	data_exists (n: STRING): BOOLEAN
			-- Does `n` exist in the database?
		deferred
		end
end
